    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.BeanDescriptor

    java.lang.Object
       |
       +----java.beans.FeatureDescriptor
               |
               +----java.beans.BeanDescriptor

public class BeanDescriptor
extends FeatureDescriptor

A BeanDescriptor provides global information about a "bean", including its Java class, its displayName, etc.

This is one of the kinds of descriptor returned by a BeanInfo object, which also returns descriptors for properties, method, and events.

##

BeanDescriptor(Class)
  Create a BeanDescriptor for a bean that doesn't have a customizer.
BeanDescriptor(Class, Class)
  Create a BeanDescriptor for a bean that has a customizer.

##

getBeanClass()
getCustomizerClass()

##

BeanDescriptor

     public BeanDescriptor(Class beanClass)

  Create a BeanDescriptor for a bean that doesn't have a customizer.

  Parameters:
    beanClass - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.

BeanDescriptor

     public BeanDescriptor(Class beanClass,
                           Class customizerClass)

  Create a BeanDescriptor for a bean that has a customizer.

  Parameters:
    beanClass - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.
    customizerClass - The Class object of the Java class that implements the bean's Customizer. For example sun.beans.OurButtonCustomizer.class.

##

getBeanClass

     public Class getBeanClass()

  Returns:
    The Class object for the bean.

getCustomizerClass

     public Class getCustomizerClass()

  Returns:
    The Class object for the bean's customizer. This may be null if the bean doesn't have a customizer.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.